freebsd-ports/security/clamav-devel/pkg-install
2004-05-30 08:03:49 +00:00

50 lines
1.1 KiB
Bash

#!/bin/sh
if [ "$2" = "PRE-INSTALL" ]; then
if [ -z "${CLAMAVUSER}" ]; then
CLAMAVUSER=clamav
fi
if [ -z "${CLAMAVGROUP}" ]; then
CLAMAVGROUP=clamav
fi
UID=106
GID=${UID}
CLAMRUN=/var/run/clamav
CLAMLOG=/var/log/clamav
echo "===> Adding user \"${CLAMAVUSER}\" if necessary."
if ! pw groupshow "${CLAMAVGROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${CLAMAVGROUP} -g ${GID}; then
echo "===> Added group \"${CLAMAVGROUP}\"."
else
echo "===> Adding group \"${CLAMAVGROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${CLAMAVUSER}" 2>/dev/null 1>&2; then
if pw useradd ${CLAMAVUSER} -u ${UID} -g ${CLAMAVGROUP} -h - \
-s "/usr/sbin/nologin" -d "/nonexistent" \
-c "Clam Antivirus"; \
then
echo "===> Added user \"${CLAMAVUSER}\"."
pw groupmod mail -m ${CLAMAVUSER}
else
echo "===> Adding user \"${CLAMAVUSER}\" failed..."
exit 1
fi
fi
echo "===> Setting permissions..."
mkdir -p "${CLAMRUN}"
chown "${CLAMAVUSER}:${CLAMAVGROUP}" "${CLAMRUN}"
mkdir -p "${CLAMLOG}"
chown "${CLAMAVUSER}:${CLAMAVGROUP}" "${CLAMLOG}"
fi
exit 0